Subject: [TLS] Comments on cached info at TLS meeting

From: Stefan Santesson <[email-masked]>
Date: Fri, 31 Jul 2009 13:46:19 +0200

Recap of comments on cached info during the IETF meeting in Stockholm.

Simon thought that it would be OK to send just the hash as replacement for
the cached data if the client treats the hash as an index that identifies
the replaced data. Doing so avoids guessing by the client. A clarification
should be made in the draft.

Eric made a comment on Jabber that ³now that I see this problem suggested,
this seems pretty gross from an implementation perspective. I think I'd
prefer that the cache hits be returned explicitly in the extension²

I interpret this to mean that Eric wants the server to acknowledge exactly
what data it will replace when it sends its server hello.
This means that we have different opinions on the list whether the server
have to know what data it will replace at server hello exchange.
I¹m personally pretty agnostic about this, but we need to agree on one
approach.

Other than that it was suggested that other objects could be of interest to
define in the draft. We may see proposals on the list.

/Stefan

---

From: "Jeffrey A. Williams" <[email-masked]>
Date: Fri, 31 Jul 2009 05:34:10 -0700

Stefan and all,

  Thanks for the update.  I agree that there needs to be only one
approach.

Stefan Santesson wrote:

> Simon thought that it would be OK to send just the hash as replacement
> for the cached data if the client treats the hash as an index that
> identifies the replaced data. Doing so avoids guessing by the client.
> A clarification should be made in the draft.
>
> Eric made a comment on Jabber that “now that I see this problem
> suggested, this seems pretty gross from an implementation perspective.
> I think I'd prefer that the cache hits be returned explicitly in the
> extension”
>
> I interpret this to mean that Eric wants the server to acknowledge
> exactly what data it will replace when it sends its server hello.
> This means that we have different opinions on the list whether the
> server have to know what data it will replace at server hello
> exchange.
> I’m personally pretty agnostic about this, but we need to agree on one
> approach.
>
> Other than that it was suggested that other objects could be of
> interest to  define in the draft. We may see proposals on the list.
>
> /Stefan
>
>    ----------------------------------------------------------------
> _______________________________________________
> TLS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tls
>

 Regards,

Spokesman for INEGroup LLA. - (Over 284k members/stakeholders strong!)
"Obedience of the law is the greatest freedom" -
   Abraham Lincoln
"YES WE CAN!"  Barack ( Berry ) Obama

"Credit should go with the performance of duty and not with what is
very often the accident of glory" - Theodore Roosevelt

"If the probability be called P; the injury, L; and the burden, B;
liability depends upon whether B is less than L multiplied by
P: i.e., whether B is less than PL."
United States v. Carroll Towing  (159 F.2d 169 [2d Cir. 1947]
===============================================================
Updated 1/26/04
CSO/DIR. Internet Network Eng. SR. Eng. Network data security IDNS.
div. of Information Network Eng.  INEG. INC.
ABA member in good standing member ID 01257402 E-Mail
[email-masked]
My Phone: 214-244-4827